## Apache Zeta Components Manual :: Docs For Class ezcPhpGeneratorReturnData

### PhpGenerator::ezcPhpGeneratorReturnData

### Class ezcPhpGeneratorReturnData

Holds meta-data about a function/method return data.

ezcPhpGeneratorReturnData stores the name of the variable that should have the return value of a function/method call assigned to it. It also stores the type of assignment to use when assigning the return value to the specified variable.

Source for this file: /PhpGenerator/src/structs/php_generator_return_data.php

    ezcBaseStruct
       |
       --ezcPhpGeneratorReturnData

Version: | //autogentag//

### Member Variables

public int | `$type` The type of the assignment to use. The default is a normal '=' assignment.
public string | `$variable` The name of the variable gets the method return value assigned to it.

### Method Summary

public static ezcPhpGeneratoReturnData | `__set_state( $array )` Returns a new instance of this class with the data specified by $array.
public ezcPhpGeneratorReturnData | `__construct( [ $variable = ''] , [ $type = ezcPhpGenerator::ASSIGN_NORMAL] )` Constructs a new PhpGeneratorReturnData.

### Methods

#### __set_state

static ezcPhpGeneratoReturnData __set_state( $array )

Returns a new instance of this class with the data specified by $array.

$array contains all the data members of this class in the form: array('member_name'=>value).

__set_state makes this class exportable with var_export. var_export() generates code, that calls this method when it is parsed with PHP.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$array` | array(string=>mixed) |

#### __construct

ezcPhpGeneratorReturnData __construct( [string $variable = ''] , [int $type = ezcPhpGenerator::ASSIGN_NORMAL] )

Constructs a new PhpGeneratorReturnData.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$variable` | string | The name of the variable that should have the return value of the function/method call assigned to it.
`$type` | int | One of ezcPhpGenerator:: ASSIGN_NORMAL, ASSIGN_APPEND_TEXT, ASSIGN_ADD, ASSIGN_SUBTRACT or ASSIGN_ARRAY_APPEND.

Documentation generated by phpDocumentor 1.4.3